---
title: How to create and edit Expectations with instant feedback from a sample Batch of data
---

import Preface from './components_how_to_create_and_edit_expectations_with_instant_feedback_from_a_sample_batch_of_data/_preface.mdx'
import UseTheCliToBeginTheInteractiveProcessOfCreatingExpectations from './components_how_to_create_and_edit_expectations_with_instant_feedback_from_a_sample_batch_of_data/_use_the_cli_to_begin_the_interactive_process_of_creating_expectations.mdx'
import SpecifyADatasourceIfMultipleAreAvailable from './components_how_to_create_and_edit_expectations_with_instant_feedback_from_a_sample_batch_of_data/_specify_a_datasource_if_multiple_are_available.mdx'
import SpecifyTheNameOfYourNewExpectationSuite from './components_how_to_create_and_edit_expectations_with_instant_feedback_from_a_sample_batch_of_data/_specify_the_name_of_your_new_expectation_suite.mdx'
import ContinueTheWorkflowWithinAJupyterNotebook from './components_how_to_create_and_edit_expectations_with_instant_feedback_from_a_sample_batch_of_data/_continue_the_workflow_within_a_jupyter_notebook.mdx'
import Congrats from './components_how_to_create_and_edit_expectations_with_instant_feedback_from_a_sample_batch_of_data/_congrats.mdx'
import OptionalEditAnExistingExpectationSuiteInInteractiveMode from './components_how_to_create_and_edit_expectations_with_instant_feedback_from_a_sample_batch_of_data/_optional_edit_an_existing_expectation_suite_in_interactive_mode.mdx'
import OptionalProfileYourDataToGenerateExpectationsThenEditThemInInteractiveMode from './components_how_to_create_and_edit_expectations_with_instant_feedback_from_a_sample_batch_of_data/_optional_profile_your_data_to_generate_expectations_then_edit_them_in_interactive_mode.mdx'
import SaveABatchRequestToReuseWhenEditingAnExpectationSuiteInInteractiveMode from './components_how_to_create_and_edit_expectations_with_instant_feedback_from_a_sample_batch_of_data/_save_a_batch_request_to_reuse_when_editing_an_expectation_suite_in_interactive_mode.mdx'
import UseTheBuiltInHelpToReviewTheCliSSuiteNewOptionalFlags from './components_how_to_create_and_edit_expectations_with_instant_feedback_from_a_sample_batch_of_data/_use_the_builtin_help_to_review_the_clis_suite_new_optional_flags.mdx'

<Preface />

## Steps

### 1. Use the CLI to begin the interactive process of creating Expectations
<UseTheCliToBeginTheInteractiveProcessOfCreatingExpectations />

### 2. Specify a Datasource (if multiple are available)
<SpecifyADatasourceIfMultipleAreAvailable />

### 3. Specify the name of your new Expectation Suite
<SpecifyTheNameOfYourNewExpectationSuite />

### 4. Continue the workflow within a Jupyter Notebook
<ContinueTheWorkflowWithinAJupyterNotebook />

<Congrats />

## Optional alternative Interactive Mode workflows

### 1. (Optional) Edit an existing Expectation Suite in Interactive Mode
<OptionalEditAnExistingExpectationSuiteInInteractiveMode />

### 2. (Optional) Profile your data to generate Expectations, then edit them in Interactive Mode.
<OptionalProfileYourDataToGenerateExpectationsThenEditThemInInteractiveMode />

## Additional tips and tricks

### 1. Save a Batch Request to reuse when editing an Expectation Suite in Interactive Mode
<SaveABatchRequestToReuseWhenEditingAnExpectationSuiteInInteractiveMode />

### 2. Use the built-in help to review the CLI's `suite new` optional flags
<UseTheBuiltInHelpToReviewTheCliSSuiteNewOptionalFlags />
